DeadDrop - Refactoring #45

Refactoring # 43 (New): Refactorings V0.5
Document and Rework Object Model
10/06/2023 11:08 PM - Sancho Fock

Status: Closed Start date:
Priority: Normal Due date:

Assignee: Sancho Fock % Done:

Category: Doku Estimated time:

Target version: 0.5.x

10/24/2023
10/26/2023
100%

16:00 hours

Description

Related issues:
Precedes Refactoring #47: Implement basic Unit Test for Client

Closed 10/27/2023

10/28/2023

History

#1 - 10/07/2023 11:22 PM - Sancho Fock

- Target version changed from open to 0.5.x

#2 - 10/07/2023 11:23 PM - Sancho Fock
- Due date changed from 10/13/2023 to 10/16/2023
- Start date changed from 10/13/2023 to 10/16/2023

- Follows Refactoring #44: Scan for wrong Names added

#3 - 10/15/2023 05:35 PM - Sancho Fock
- Precedes Refactoring #47: Implement basic Unit Test for Client added

#4 - 10/16/2023 12:12 AM - Sancho Fock
- Due date changed from 10/25/2023 to 10/29/2023

#5 - 10/23/2023 08:45 PM - Sancho Fock
- Due date changed from 10/30/2023 to 10/31/2023
- Start date changed from 10/25/2023 to 10/26/2023

#6 - 10/23/2023 09:30 PM - Sancho Fock
- Due date changed from 10/31/2023 to 10/30/2023
- Start date changed from 10/26/2023 to 10/25/2023

#7 - 10/24/2023 09:48 PM - Sancho Fock
- Status changed from New to In Progress

- % Done changed from 0 to 50

#8 - 10/24/2023 09:48 PM - Sancho Fock

- Follows deleted (Refactoring #44: Scan for wrong Names)

#9 - 10/24/2023 09:48 PM - Sancho Fock
- Status changed from In Progress to Closed

- % Done changed from 50 to 100

#10 - 10/24/2023 09:49 PM - Sancho Fock
- Due date changed from 10/30/2023 to 10/24/2023
- Start date changed from 10/25/2023 to 10/24/2023

04/19/2025

1/2




#11 - 10/24/2023 10:33 PM - Sancho Fock
- Due date changed from 10/24/2023 to 10/25/2023
- % Done changed from 100 to 60

Object Model was documented with Sparx. The Object Model was refactored as well.
Open Task: Use PasDoc to generate a SourceCode Documentation

#12 - 10/24/2023 10:39 PM - Sancho Fock
- Precedes Refactoring #69: Add JavaDoc for ddAPI, ddCommons, ddDB and scCore added

#13 - 10/24/2023 10:39 PM - Sancho Fock

- Precedes deleted (Refactoring #47: Implement basic Unit Test for Client)

#14 - 10/26/2023 02:00 AM - Sancho Fock
- Due date changed from 10/25/2023 to 10/26/2023
- Status changed from Closed to In Progress

- % Done changed from 60 to 80

#15 - 10/26/2023 04:00 PM - Sancho Fock
- Status changed from In Progress to Closed

- % Done changed from 80 to 100

#16 - 10/26/2023 04:01 PM - Sancho Fock
- Precedes Test #70: Implement basic UnitTests for scCore, ddCommons and ddDB added

#17 - 10/26/2023 04:04 PM - Sancho Fock
- Precedes deleted (Refactoring #69: Add JavaDoc for ddAPI, ddCommons, ddDB and scCore)

#18 - 10/26/2023 04:08 PM - Sancho Fock
- Related to Refactoring #47: Implement basic Unit Test for Client added

#19 - 10/26/2023 04:09 PM - Sancho Fock
- Related to deleted (Refactoring #47: Implement basic Unit Test for Client)

#20 - 10/26/2023 04:10 PM - Sancho Fock

- Precedes Refactoring #47: Implement basic Unit Test for Client added

#21 - 10/26/2023 04:10 PM - Sancho Fock
- Precedes deleted (Test #70: Implement basic UnitTests for scCore, ddCommons and ddDB)

04/19/2025
